## HTMLREAD Read an HTML Document into FreeMat

Section: Input/Ouput Functions

### Usage

Given a filename, reads an HTML document, (attempts to) parse it, and returns the result as a FreeMat data structure. The syntax for its use is:

       p = htmlread(filename)

where `filename` is a `string`. The resulting object `p` is a data structure containing the information in the document. Note that this function works by internally converting the HTML document into something closer to XHTML, and then using the XML parser to parse it. In some cases, the converted HTML cannot be properly parsed. In such cases, a third party tool such as "tidy" will probably do a better job.